%define name        libetpan
%define version     0.49
%define release     %mkrel 3
%define lib_major        11
%define lib_name    %mklibname etpan %lib_major
%define Summary  LibEtPan is a mail purpose library
 
 
Summary:      %Summary
Name:            %name
Version:          %version
Release:         %release
Group:            System/Libraries
License:          BSD
URL:               http://libetpan.sourceforge.net/ 
Source:           http://unc.dl.sourceforge.net/sourceforge/%{name}-%{version}.tar.bz2
Source1:          libetpan-0.31-libetpan.la.tar.bz2
BuildRoot:       %{_tmppath}/%{name}-buildroot
BuildRequires:  openssl-devel  
BuildRequires:  db4.5-devel 
Obsoletes: %name 
Provides: %name 

%description
libEtPan is a mail purpose library.
It is used for low-level mail handling.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %lib_name
Summary:%Summary
Group: System/Libraries 

%description -n %lib_name
%Summary

%package -n %lib_name-devel
Summary: Libraries and include files for %name
Group:    Development/C
Requires: %lib_name = %{version}
Provides: %name-devel  = %version
Conflicts: %name-devel < %version

%description -n %lib_name-devel
This package contains the header files and static libraries for
developing with %name.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --enable-openssl

# 0.42: parallel build broken on x86_64
make

%install
 rm -rf $RPM_BUILD_ROOT  
%makeinstall

#workaround for *.h detections 
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %buildroot/%_includedir/libetpan 
 
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/libetpan-config 

%post -n %lib_name -p /sbin/ldconfig 

%postun -n %lib_name -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT  
 
%files -n %lib_name
%defattr(-, root, root) 
%_libdir/lib*.so.%{lib_major}*
 
%files -n %lib_name-devel
%defattr(-,root,root) 
%doc COPYRIGHT ChangeLog INSTALL NEWS TODO
%doc doc/*
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%_includedir/*
%_libdir/lib*.so
%_libdir/*.a
%_libdir/*.la 



%changelog
* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.49-3mdv2007.0
+ Revision: 131993
- build against db4.5

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.49-2mdv2007.1
+ Revision: 111868
- fix major; prevent this error to happen again

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.49-1mdv2007.1
+ Revision: 110088
- New release 0.49

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.48-1mdv2007.1
+ Revision: 103587
- New release 0.48

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.46-2mdv2007.0
+ Revision: 80623
- Rebuild for missing package ( bugreport: #27088)
- import libetpan-0.46-1mdv2007.0


* Tue Jul 18 2006 Charles A Edwards <eslrahc@mandriva.org> 0.46-1mdv2007.0
- 0.46
- bump major (previously missed)

* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 0.39-2
- Rebuild

* Fri Apr 07 2006 Jerome Soyer <saispo@mandriva.org> 0.45-1mdk
- 0.45

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.44-1mdk
- 0.44

* Wed Jan 18 2006 Marcel Pol <mpol@mandriva.org> 0.42-2mdk
- parallel build broken on x86_64

* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.42-1mdk
- 0.42
- new soname

* Sat Dec 03 2005 Marcel Pol <mpol@mandriva.org> 0.40-0.cvs6.1mdk
- 0.40cvs6
- mkrel

* Tue Oct 11 2005 Erwan Velu <erwan@seanodes.com> 0.39-1mdk
- 0.39

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 0.38-2mdk
- fix %prep (-n libetpan)

* Thu Jul 21 2005 Lenny Cartier <lenny@mandriva.com> 0.38-1mdk
- 0.38

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.37-1mdk
- 0.37

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.36-1mdk
- 0.36

* Sat Nov 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.34-1mdk
- 0.34

* Wed Aug 25 2004 Charles A Edwards <eslrahc@mandrake.org> 0.33-1mdk
- 0.33

* Sat Dec 20 2003 Charles A Edwards <eslrahc@mandrake.org> 0.32-4mdk
- 1 more time
- don't rn files from _includedir

* Sat Dec 20 2003 Charles A Edwards <eslrahc@mandrake.org> 0.32-3mdk
* try to get it right this time
- forget ln -s
- install all *h to _includedir/libetpan

* Sat Dec 20 2003 Charles A Edwards <eslrahc@mandrake.org> 0.32-2mdk
- fix typo

* Sat Dec 20 2003 Charles A Edwards <eslrahc@mandrake.org> 0.32-1mdk
- 0.32
- BuildRequires db4-devel

* Wed Dec 10 2003 Charles A Edwards <eslrahc@mandrake.org> 0.31-1mdk
- initial mdk release

